> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/events/get-registration-list.md).

# Get Registration List

## Get Registration List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getRegistrationList`

Get a list of registrations

#### Path Parameters

| Name    | Type    | Description                                                                                                                          |
| ------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| perPage | integer | The number of registrations to get in a single api call. Must be an integer greater than 0 and maximum 100                           |
| start   | integer | The starting result of the page. Note this is zero based (i.e. sending start = 0 will start from first result). Must be 0 or greater |
| eventId | integer | The event identifier.                                                                                                                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Additional [Filter ](/getting-started/interpreting-the-response/filtering.md)Properties

| Property     | Description             | Type                                                                |
| ------------ | ----------------------- | ------------------------------------------------------------------- |
| modifiedDate | Filter by modified date | [iVvy Timestamp Format](/development-reference/timestamp-format.md) |

## Returns

A collection object with the following properties in the results

| Property           | Description                                                                                                            |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------- |
| id                 | The unique registration identifier                                                                                     |
| eventName          | The name of event that event registration belongs                                                                      |
| currentStatus      | The current status of the event registration                                                                           |
| isExhibitor        | Whether or not event registration is exhibitor                                                                         |
| completedDate      | The registered date time of event registration                                                                         |
| mainContactId      | The main contact id of event registration                                                                              |
| firstName          | The first name of the event registration                                                                               |
| lastName           | The last name of the event registration                                                                                |
| phone              | The phone number of event registration                                                                                 |
| privacyConsentData | The object of [Privacy Consent](/contact/get-contact.md#privacy-consent-data) field objects of the event registration. |
| invoiceTotalCost   | The total cost of event registration                                                                                   |
| invoiceTotalPaid   | The total amount paid of event registration                                                                            |
| createdDate        | The date & time the registration was created                                                                           |
| modifiedDate       | The date & time the registration was last modified                                                                     |

The result from this call will be a collection of all the events the user has access to. This call also accepts the pagination and filter properties.

The result from this call will be a [collection](/events.md#collections) of all the events the user has access to. This call also accepts the [pagination](/events.md#pagination) and [filter](/events.md#filtering) properties.

## Throws

| Code                 | Description          |
| -------------------- | -------------------- |
| Specific Code: 24206 | Unable to find event |

## Registration Current Status Details

| Property | Description     |
| -------- | --------------- |
| 1        | In Progress     |
| 2        | Completed       |
| 4        | Payment Waiting |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/events/get-registration-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
